services:
    Chill\ReportBundle\Export\Export\ReportListProvider:
        arguments:
            $em: '@Doctrine\ORM\EntityManagerInterface'
            $translatableStringHelper: '@Chill\MainBundle\Templating\TranslatableStringHelper'
            $translator: '@Symfony\Contracts\Translation\TranslatorInterface'
            $customFieldProvider: '@Chill\CustomFieldsBundle\Service\CustomFieldProvider'
        tags:
            - { name: chill.export_elements_provider, prefix: 'report' }

    Chill\ReportBundle\Export\Filter\ReportDateFilter:
        autowire: true
        autoconfigure: true
        tags:
            - { name: chill.export_filter, alias: 'report_date_filter' }
